## r-bioc-rcwl 1.18.0+ds

=== DESCRIPTION ===
Package: Rcwl
Title: An R interface to the Common Workflow Language
Version: 1.18.0
Authors@R: c(person("Qiang", "Hu", email = "qiang.hu@roswellpark.org", role = c("aut", "cre")),
	     person("Qian", "Liu", email = "qian.liu@roswellpark.org", role = c("aut")))
Description: The Common Workflow Language (CWL) is an open standard for development of data analysis workflows that is portable and scalable across different tools and working environments. Rcwl provides a simple way to wrap command line tools and build CWL data analysis pipelines programmatically within R. It increases the ease of usage, development, and maintenance of CWL pipelines.
Depends: R (>= 3.6), yaml, methods, S4Vectors
Imports: utils, stats, BiocParallel, batchtools, DiagrammeR, shiny,
        R.utils, codetools, basilisk
License: GPL-2 | file LICENSE
Encoding: UTF-8
Suggests: testthat, knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
RoxygenNote: 7.2.3
biocViews: Software, WorkflowStep, ImmunoOncology
StagedInstall: no
git_url: https://git.bioconductor.org/packages/Rcwl
git_branch: RELEASE_3_18
git_last_commit: 4bb22da
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: no
Packaged: 2023-10-24 22:39:25 UTC; biocbuild
Author: Qiang Hu [aut, cre],
  Qian Liu [aut]
Maintainer: Qiang Hu <qiang.hu@roswellpark.org>

## r-bioc-rcwl 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Rcwl
 Title: An R interface to the Common Workflow Language
-Version: 1.18.0
+Version: 1.20.0
 Authors@R: c(person("Qiang", "Hu", email = "qiang.hu@roswellpark.org", role = c("aut", "cre")),
 	     person("Qian", "Liu", email = "qian.liu@roswellpark.org", role = c("aut")))
 Description: The Common Workflow Language (CWL) is an open standard for development of data analysis workflows that is portable and scalable across different tools and working environments. Rcwl provides a simple way to wrap command line tools and build CWL data analysis pipelines programmatically within R. It increases the ease of usage, development, and maintenance of CWL pipelines.
@@ -15,12 +15,13 @@
 biocViews: Software, WorkflowStep, ImmunoOncology
 StagedInstall: no
 git_url: https://git.bioconductor.org/packages/Rcwl
-git_branch: RELEASE_3_18
-git_last_commit: 4bb22da
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 6d960a0
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:39:25 UTC; biocbuild
+Packaged: 2024-05-01 05:33:18 UTC; biocbuild
 Author: Qiang Hu [aut, cre],
   Qian Liu [aut]
 Maintainer: Qiang Hu <qiang.hu@roswellpark.org>

=== debian/changelog ===
r-bioc-rcwl (1.20.0+ds-1) unstable; urgency=medium

  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:35:32 +0200

r-bioc-rcwl (1.20.0+ds-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 17:08:53 +0200

r-bioc-rcwl (1.20.0+ds-1~0exp) experimental; urgency=medium

  * New upstream version
  * d/control: dh-update-R updates
  * d/tests/autopkgtest-pkg-r.conf: added this and removed the manual
    test file
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Jul 2024 15:23:05 +0200

r-bioc-rcwl (1.18.0+ds-3) unstable; urgency=medium

  * Updated patch to remove use of basilisk.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Jul 2024 12:54:43 +0200

r-bioc-rcwl (1.18.0+ds-2) unstable; urgency=medium

  * d/upstream/metadata: Point to their GitHub repo
  * Add a patch use the Debian packaged version of cwltool,
    and to not download cwltool from anaconda.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 05 May 2024 15:16:49 +0200

r-bioc-rcwl (1.18.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #986621)
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Apr 2024 16:15:50 +0200

=== debian/control ===
Source: r-bioc-rcwl
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rcwl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rcwl.git
Homepage: https://rcwl.org/Rcwl/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-yaml,
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-biocparallel (>= 1.38.0),
               r-cran-batchtools,
               r-cran-diagrammer,
               r-cran-shiny,
               r-cran-r.utils,
               r-cran-codetools,
               r-bioc-basilisk (>= 1.16.0),
               cwltool
Testsuite: autopkgtest-pkg-r

Package: r-bioc-rcwl
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         cwltool,
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-basilisk (>= 1.16.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: An R interface to the Common Workflow Language
 The Common Workflow Language (CWL) is an open standard for development
 of data analysis workflows that is portable and scalable across
 different tools and working environments. Rcwl provides a simple way to
 wrap command line tools and build CWL data analysis pipelines
 programmatically within R. It increases the ease of usage, development,
 and maintenance of CWL pipelines.

## r-bioc-rcwl 1.22.0+ds

=== DESCRIPTION ===
Package: Rcwl
Title: An R interface to the Common Workflow Language
Version: 1.22.0
Authors@R: c(person("Qiang", "Hu", email = "qiang.hu@roswellpark.org", role = c("aut", "cre")),
	     person("Qian", "Liu", email = "qian.liu@roswellpark.org", role = c("aut")))
Description: The Common Workflow Language (CWL) is an open standard for development of data analysis workflows that is portable and scalable across different tools and working environments. Rcwl provides a simple way to wrap command line tools and build CWL data analysis pipelines programmatically within R. It increases the ease of usage, development, and maintenance of CWL pipelines.
Depends: R (>= 3.6), yaml, methods, S4Vectors
Imports: utils, stats, BiocParallel, batchtools, DiagrammeR, shiny,
        R.utils, codetools, basilisk
License: GPL-2 | file LICENSE
Encoding: UTF-8
Suggests: testthat, knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
RoxygenNote: 7.3.1
biocViews: Software, WorkflowStep, ImmunoOncology
StagedInstall: no
git_url: https://git.bioconductor.org/packages/Rcwl
git_branch: RELEASE_3_20
git_last_commit: 974555e
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 02:24:21 UTC; biocbuild
Author: Qiang Hu [aut, cre],
  Qian Liu [aut]
Maintainer: Qiang Hu <qiang.hu@roswellpark.org>

=== debian/changelog ===
r-bioc-rcwl (1.22.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:37:39 +0100

r-bioc-rcwl (1.22.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 18:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rcwl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rcwl.git
 Homepage: https://rcwl.org/Rcwl/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-yaml,
-               r-bioc-s4vectors (>= 0.42.1),
-               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-s4vectors,
+               r-bioc-biocparallel,
                r-cran-batchtools,
                r-cran-diagrammer,
                r-cran-shiny,
                r-cran-r.utils,
                r-cran-codetools,
-               r-bioc-basilisk (>= 1.16.0),
                cwltool
 Testsuite: autopkgtest-pkg-r
 
@@ -32,8 +31,7 @@
          r-bioc-biocparallel (>= 1.38.0),
          r-bioc-basilisk (>= 1.16.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: An R interface to the Common Workflow Language
  The Common Workflow Language (CWL) is an open standard for development
  of data analysis workflows that is portable and scalable across

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/Rcwl.html .*/Rcwl_(.*).tar.gz
